# Generated by Django 5.0.3 on 2024-03-31 18:38

import django.db.models.deletion
import django.utils.timezone
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='PoolIP',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=255, unique=True, verbose_name='Nome do Pool')),
                ('ip_prefixo', models.CharField(max_length=15, verbose_name='Prefixo de IP')),
                ('netmask', models.CharField(max_length=15, verbose_name='Mascara de rede')),
                ('gateway', models.CharField(max_length=15, verbose_name='Gateway')),
                ('pool_inicio', models.IntegerField(default=1, verbose_name='Inicio')),
                ('pool_final', models.IntegerField(default=254, verbose_name='Fim')),
            ],
        ),
        migrations.CreateModel(
            name='Unidade',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=255, unique=True, verbose_name='Unidade')),
            ],
        ),
        migrations.CreateModel(
            name='Vinculo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=255, unique=True, verbose_name='Tipo de vinculo')),
            ],
        ),
        migrations.CreateModel(
            name='Usuario',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identificacao', models.CharField(max_length=255, unique=True)),
                ('unidade', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='registrador.unidade')),
                ('vinculo', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='registrador.vinculo')),
            ],
        ),
        migrations.CreateModel(
            name='RegistroIP',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ip', models.CharField(max_length=15, unique=True, verbose_name='Endereco IP')),
                ('mac_address', models.CharField(max_length=17, unique=True, verbose_name='MAC Address')),
                ('data_registro', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Data de registro')),
                ('poolip', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='registrador.poolip')),
                ('usuario', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='registrador.usuario')),
            ],
        ),
    ]
